job "example-job" {
  constraint {
    attribute = "${attr.kernel.name}"
    operator  = "="
    value     = "windows"
  }
  datacenters = ["dc1"]
  type = "service"
  update {
    max_parallel = 1
    min_healthy_time = "10s"
  }
  group "example-group" {
    count = 1
    restart {
      attempts = 10
      interval = "5m"
      delay = "25s"
      mode = "delay"
    }
    task "example-task" {
      driver = "docker"
      config {
        image = "voiselle/http-echo-win:latest"
        port_map {
          http = 8080
        }
      }
      resources {
        cpu    = 500 
        memory = 256 
        network {
          mbits = 10
          port "http" {}
        }
      }
      service {
        name = "global-example-check"
        tags = ["global", "http-echo"]
        address_mode = "host"
        port = "http"
        check {
          name     = "alive"
          type     = "tcp"
          interval = "10s"
          timeout  = "2s"
        }
      }
    }
  }
}
